"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetAggregateResourceConfig_1 = require("../model/operations/BatchGetAggregateResourceConfig");
var BatchGetAggregateResourceConfigCommand = /** @class */ (function () {
    function BatchGetAggregateResourceConfigCommand(input) {
        this.input = input;
        this.model = BatchGetAggregateResourceConfig_1.BatchGetAggregateResourceConfig;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetAggregateResourceConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetAggregateResourceConfigCommand;
}());
exports.BatchGetAggregateResourceConfigCommand = BatchGetAggregateResourceConfigCommand;
//# sourceMappingURL=BatchGetAggregateResourceConfigCommand.js.map