import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteRemediationConfigurationInput } from "../types/DeleteRemediationConfigurationInput";
import { DeleteRemediationConfigurationOutput } from "../types/DeleteRemediationConfigurationOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DeleteRemediationConfigurationInput";
export * from "../types/DeleteRemediationConfigurationOutput";
export * from "../types/DeleteRemediationConfigurationExceptionsUnion";
export declare class DeleteRemediationConfigurationCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteRemediationConfigurationInput, OutputTypesUnion, DeleteRemediationConfigurationOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DeleteRemediationConfigurationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteRemediationConfigurationInput, DeleteRemediationConfigurationOutput, Blob>;
    constructor(input: DeleteRemediationConfigurationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteRemediationConfigurationInput, DeleteRemediationConfigurationOutput>;
}
