import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeAggregateComplianceByConfigRulesInput } from "../types/DescribeAggregateComplianceByConfigRulesInput";
import { DescribeAggregateComplianceByConfigRulesOutput } from "../types/DescribeAggregateComplianceByConfigRulesOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeAggregateComplianceByConfigRulesInput";
export * from "../types/DescribeAggregateComplianceByConfigRulesOutput";
export * from "../types/DescribeAggregateComplianceByConfigRulesExceptionsUnion";
export declare class DescribeAggregateComplianceByConfigRulesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeAggregateComplianceByConfigRulesInput, OutputTypesUnion, DescribeAggregateComplianceByConfigRulesOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeAggregateComplianceByConfigRulesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeAggregateComplianceByConfigRulesInput, DescribeAggregateComplianceByConfigRulesOutput, Blob>;
    constructor(input: DescribeAggregateComplianceByConfigRulesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeAggregateComplianceByConfigRulesInput, DescribeAggregateComplianceByConfigRulesOutput>;
}
