"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeConfigurationAggregatorSourcesStatus_1 = require("../model/operations/DescribeConfigurationAggregatorSourcesStatus");
var DescribeConfigurationAggregatorSourcesStatusCommand = /** @class */ (function () {
    function DescribeConfigurationAggregatorSourcesStatusCommand(input) {
        this.input = input;
        this.model = DescribeConfigurationAggregatorSourcesStatus_1.DescribeConfigurationAggregatorSourcesStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeConfigurationAggregatorSourcesStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeConfigurationAggregatorSourcesStatusCommand;
}());
exports.DescribeConfigurationAggregatorSourcesStatusCommand = DescribeConfigurationAggregatorSourcesStatusCommand;
//# sourceMappingURL=DescribeConfigurationAggregatorSourcesStatusCommand.js.map