import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeConfigurationRecordersInput } from "../types/DescribeConfigurationRecordersInput";
import { DescribeConfigurationRecordersOutput } from "../types/DescribeConfigurationRecordersOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeConfigurationRecordersInput";
export * from "../types/DescribeConfigurationRecordersOutput";
export * from "../types/DescribeConfigurationRecordersExceptionsUnion";
export declare class DescribeConfigurationRecordersCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeConfigurationRecordersInput, OutputTypesUnion, DescribeConfigurationRecordersOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeConfigurationRecordersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeConfigurationRecordersInput, DescribeConfigurationRecordersOutput, Blob>;
    constructor(input: DescribeConfigurationRecordersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeConfigurationRecordersInput, DescribeConfigurationRecordersOutput>;
}
