import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDeliveryChannelsInput } from "../types/DescribeDeliveryChannelsInput";
import { DescribeDeliveryChannelsOutput } from "../types/DescribeDeliveryChannelsOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeDeliveryChannelsInput";
export * from "../types/DescribeDeliveryChannelsOutput";
export * from "../types/DescribeDeliveryChannelsExceptionsUnion";
export declare class DescribeDeliveryChannelsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDeliveryChannelsInput, OutputTypesUnion, DescribeDeliveryChannelsOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeDeliveryChannelsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDeliveryChannelsInput, DescribeDeliveryChannelsOutput, Blob>;
    constructor(input: DescribeDeliveryChannelsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeDeliveryChannelsInput, DescribeDeliveryChannelsOutput>;
}
