import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribePendingAggregationRequestsInput } from "../types/DescribePendingAggregationRequestsInput";
import { DescribePendingAggregationRequestsOutput } from "../types/DescribePendingAggregationRequestsOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribePendingAggregationRequestsInput";
export * from "../types/DescribePendingAggregationRequestsOutput";
export * from "../types/DescribePendingAggregationRequestsExceptionsUnion";
export declare class DescribePendingAggregationRequestsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribePendingAggregationRequestsInput, OutputTypesUnion, DescribePendingAggregationRequestsOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribePendingAggregationRequestsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribePendingAggregationRequestsInput, DescribePendingAggregationRequestsOutput, Blob>;
    constructor(input: DescribePendingAggregationRequestsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribePendingAggregationRequestsInput, DescribePendingAggregationRequestsOutput>;
}
