import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListAggregateDiscoveredResourcesInput } from "../types/ListAggregateDiscoveredResourcesInput";
import { ListAggregateDiscoveredResourcesOutput } from "../types/ListAggregateDiscoveredResourcesOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/ListAggregateDiscoveredResourcesInput";
export * from "../types/ListAggregateDiscoveredResourcesOutput";
export * from "../types/ListAggregateDiscoveredResourcesExceptionsUnion";
export declare class ListAggregateDiscoveredResourcesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListAggregateDiscoveredResourcesInput, OutputTypesUnion, ListAggregateDiscoveredResourcesOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: ListAggregateDiscoveredResourcesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListAggregateDiscoveredResourcesInput, ListAggregateDiscoveredResourcesOutput, Blob>;
    constructor(input: ListAggregateDiscoveredResourcesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<ListAggregateDiscoveredResourcesInput, ListAggregateDiscoveredResourcesOutput>;
}
