"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteAggregationAuthorizationInput_1 = require("../shapes/DeleteAggregationAuthorizationInput");
var DeleteAggregationAuthorizationOutput_1 = require("../shapes/DeleteAggregationAuthorizationOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteAggregationAuthorization = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteAggregationAuthorization",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteAggregationAuthorizationInput_1.DeleteAggregationAuthorizationInput
    },
    output: {
        shape: DeleteAggregationAuthorizationOutput_1.DeleteAggregationAuthorizationOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=DeleteAggregationAuthorization.js.map