"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteConfigurationAggregatorInput_1 = require("../shapes/DeleteConfigurationAggregatorInput");
var DeleteConfigurationAggregatorOutput_1 = require("../shapes/DeleteConfigurationAggregatorOutput");
var NoSuchConfigurationAggregatorException_1 = require("../shapes/NoSuchConfigurationAggregatorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteConfigurationAggregator = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteConfigurationAggregator",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteConfigurationAggregatorInput_1.DeleteConfigurationAggregatorInput
    },
    output: {
        shape: DeleteConfigurationAggregatorOutput_1.DeleteConfigurationAggregatorOutput
    },
    errors: [
        {
            shape: NoSuchConfigurationAggregatorException_1.NoSuchConfigurationAggregatorException
        }
    ]
};
//# sourceMappingURL=DeleteConfigurationAggregator.js.map