"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteRemediationConfigurationInput_1 = require("../shapes/DeleteRemediationConfigurationInput");
var DeleteRemediationConfigurationOutput_1 = require("../shapes/DeleteRemediationConfigurationOutput");
var NoSuchRemediationConfigurationException_1 = require("../shapes/NoSuchRemediationConfigurationException");
var RemediationInProgressException_1 = require("../shapes/RemediationInProgressException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRemediationConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRemediationConfiguration",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteRemediationConfigurationInput_1.DeleteRemediationConfigurationInput
    },
    output: {
        shape: DeleteRemediationConfigurationOutput_1.DeleteRemediationConfigurationOutput
    },
    errors: [
        {
            shape: NoSuchRemediationConfigurationException_1.NoSuchRemediationConfigurationException
        },
        {
            shape: RemediationInProgressException_1.RemediationInProgressException
        }
    ]
};
//# sourceMappingURL=DeleteRemediationConfiguration.js.map