"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeConfigurationAggregatorSourcesStatusInput_1 = require("../shapes/DescribeConfigurationAggregatorSourcesStatusInput");
var DescribeConfigurationAggregatorSourcesStatusOutput_1 = require("../shapes/DescribeConfigurationAggregatorSourcesStatusOutput");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var NoSuchConfigurationAggregatorException_1 = require("../shapes/NoSuchConfigurationAggregatorException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeConfigurationAggregatorSourcesStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeConfigurationAggregatorSourcesStatus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeConfigurationAggregatorSourcesStatusInput_1.DescribeConfigurationAggregatorSourcesStatusInput
    },
    output: {
        shape: DescribeConfigurationAggregatorSourcesStatusOutput_1.DescribeConfigurationAggregatorSourcesStatusOutput
    },
    errors: [
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: NoSuchConfigurationAggregatorException_1.NoSuchConfigurationAggregatorException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        }
    ]
};
//# sourceMappingURL=DescribeConfigurationAggregatorSourcesStatus.js.map