"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeOrganizationConfigRuleStatusesInput_1 = require("../shapes/DescribeOrganizationConfigRuleStatusesInput");
var DescribeOrganizationConfigRuleStatusesOutput_1 = require("../shapes/DescribeOrganizationConfigRuleStatusesOutput");
var NoSuchOrganizationConfigRuleException_1 = require("../shapes/NoSuchOrganizationConfigRuleException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var OrganizationAccessDeniedException_1 = require("../shapes/OrganizationAccessDeniedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeOrganizationConfigRuleStatuses = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeOrganizationConfigRuleStatuses",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeOrganizationConfigRuleStatusesInput_1.DescribeOrganizationConfigRuleStatusesInput
    },
    output: {
        shape: DescribeOrganizationConfigRuleStatusesOutput_1.DescribeOrganizationConfigRuleStatusesOutput
    },
    errors: [
        {
            shape: NoSuchOrganizationConfigRuleException_1.NoSuchOrganizationConfigRuleException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: OrganizationAccessDeniedException_1.OrganizationAccessDeniedException
        }
    ]
};
//# sourceMappingURL=DescribeOrganizationConfigRuleStatuses.js.map