"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeRemediationExecutionStatusInput_1 = require("../shapes/DescribeRemediationExecutionStatusInput");
var DescribeRemediationExecutionStatusOutput_1 = require("../shapes/DescribeRemediationExecutionStatusOutput");
var NoSuchRemediationConfigurationException_1 = require("../shapes/NoSuchRemediationConfigurationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeRemediationExecutionStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeRemediationExecutionStatus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeRemediationExecutionStatusInput_1.DescribeRemediationExecutionStatusInput
    },
    output: {
        shape: DescribeRemediationExecutionStatusOutput_1.DescribeRemediationExecutionStatusOutput
    },
    errors: [
        {
            shape: NoSuchRemediationConfigurationException_1.NoSuchRemediationConfigurationException
        }
    ]
};
//# sourceMappingURL=DescribeRemediationExecutionStatus.js.map