"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetResourceConfigHistoryInput_1 = require("../shapes/GetResourceConfigHistoryInput");
var GetResourceConfigHistoryOutput_1 = require("../shapes/GetResourceConfigHistoryOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidTimeRangeException_1 = require("../shapes/InvalidTimeRangeException");
var InvalidLimitException_1 = require("../shapes/InvalidLimitException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var NoAvailableConfigurationRecorderException_1 = require("../shapes/NoAvailableConfigurationRecorderException");
var ResourceNotDiscoveredException_1 = require("../shapes/ResourceNotDiscoveredException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetResourceConfigHistory = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetResourceConfigHistory",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetResourceConfigHistoryInput_1.GetResourceConfigHistoryInput
    },
    output: {
        shape: GetResourceConfigHistoryOutput_1.GetResourceConfigHistoryOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidTimeRangeException_1.InvalidTimeRangeException
        },
        {
            shape: InvalidLimitException_1.InvalidLimitException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: NoAvailableConfigurationRecorderException_1.NoAvailableConfigurationRecorderException
        },
        {
            shape: ResourceNotDiscoveredException_1.ResourceNotDiscoveredException
        }
    ]
};
//# sourceMappingURL=GetResourceConfigHistory.js.map