"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ComplianceTypes_1 = require("./_ComplianceTypes");
exports.DescribeComplianceByResourceInput = {
    type: "structure",
    required: [],
    members: {
        ResourceType: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ComplianceTypes: {
            shape: _ComplianceTypes_1._ComplianceTypes
        },
        Limit: {
            shape: {
                type: "integer"
            }
        },
        NextToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeComplianceByResourceInput.js.map