"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._AggregateResourceIdentifier = {
    type: "structure",
    required: ["SourceAccountId", "SourceRegion", "ResourceId", "ResourceType"],
    members: {
        SourceAccountId: {
            shape: {
                type: "string"
            }
        },
        SourceRegion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ResourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ResourceType: {
            shape: {
                type: "string"
            }
        },
        ResourceName: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_AggregateResourceIdentifier.js.map