"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ConfigRuleEvaluationStatus = {
    type: "structure",
    required: [],
    members: {
        ConfigRuleName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ConfigRuleArn: {
            shape: {
                type: "string"
            }
        },
        ConfigRuleId: {
            shape: {
                type: "string"
            }
        },
        LastSuccessfulInvocationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastFailedInvocationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastSuccessfulEvaluationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastFailedEvaluationTime: {
            shape: {
                type: "timestamp"
            }
        },
        FirstActivatedTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastErrorCode: {
            shape: {
                type: "string"
            }
        },
        LastErrorMessage: {
            shape: {
                type: "string"
            }
        },
        FirstEvaluationStarted: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_ConfigRuleEvaluationStatus.js.map