"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ResourceKey_1 = require("./_ResourceKey");
var _RemediationExecutionSteps_1 = require("./_RemediationExecutionSteps");
exports._RemediationExecutionStatus = {
    type: "structure",
    required: [],
    members: {
        ResourceKey: {
            shape: _ResourceKey_1._ResourceKey
        },
        State: {
            shape: {
                type: "string"
            }
        },
        StepDetails: {
            shape: _RemediationExecutionSteps_1._RemediationExecutionSteps
        },
        InvocationTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastUpdatedTime: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_RemediationExecutionStatus.js.map