import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDeliveryChannelInput } from "../types/DeleteDeliveryChannelInput";
import { DeleteDeliveryChannelOutput } from "../types/DeleteDeliveryChannelOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DeleteDeliveryChannelInput";
export * from "../types/DeleteDeliveryChannelOutput";
export * from "../types/DeleteDeliveryChannelExceptionsUnion";
export declare class DeleteDeliveryChannelCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDeliveryChannelInput, OutputTypesUnion, DeleteDeliveryChannelOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DeleteDeliveryChannelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDeliveryChannelInput, DeleteDeliveryChannelOutput, Blob>;
    constructor(input: DeleteDeliveryChannelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteDeliveryChannelInput, DeleteDeliveryChannelOutput>;
}
