"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeletePendingAggregationRequest_1 = require("../model/operations/DeletePendingAggregationRequest");
var DeletePendingAggregationRequestCommand = /** @class */ (function () {
    function DeletePendingAggregationRequestCommand(input) {
        this.input = input;
        this.model = DeletePendingAggregationRequest_1.DeletePendingAggregationRequest;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeletePendingAggregationRequestCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeletePendingAggregationRequestCommand;
}());
exports.DeletePendingAggregationRequestCommand = DeletePendingAggregationRequestCommand;
//# sourceMappingURL=DeletePendingAggregationRequestCommand.js.map