"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeAggregationAuthorizations_1 = require("../model/operations/DescribeAggregationAuthorizations");
var DescribeAggregationAuthorizationsCommand = /** @class */ (function () {
    function DescribeAggregationAuthorizationsCommand(input) {
        this.input = input;
        this.model = DescribeAggregationAuthorizations_1.DescribeAggregationAuthorizations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeAggregationAuthorizationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeAggregationAuthorizationsCommand;
}());
exports.DescribeAggregationAuthorizationsCommand = DescribeAggregationAuthorizationsCommand;
//# sourceMappingURL=DescribeAggregationAuthorizationsCommand.js.map