import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeComplianceByResourceInput } from "../types/DescribeComplianceByResourceInput";
import { DescribeComplianceByResourceOutput } from "../types/DescribeComplianceByResourceOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeComplianceByResourceInput";
export * from "../types/DescribeComplianceByResourceOutput";
export * from "../types/DescribeComplianceByResourceExceptionsUnion";
export declare class DescribeComplianceByResourceCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeComplianceByResourceInput, OutputTypesUnion, DescribeComplianceByResourceOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeComplianceByResourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeComplianceByResourceInput, DescribeComplianceByResourceOutput, Blob>;
    constructor(input: DescribeComplianceByResourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeComplianceByResourceInput, DescribeComplianceByResourceOutput>;
}
