"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeConfigurationRecorderStatus_1 = require("../model/operations/DescribeConfigurationRecorderStatus");
var DescribeConfigurationRecorderStatusCommand = /** @class */ (function () {
    function DescribeConfigurationRecorderStatusCommand(input) {
        this.input = input;
        this.model = DescribeConfigurationRecorderStatus_1.DescribeConfigurationRecorderStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeConfigurationRecorderStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeConfigurationRecorderStatusCommand;
}());
exports.DescribeConfigurationRecorderStatusCommand = DescribeConfigurationRecorderStatusCommand;
//# sourceMappingURL=DescribeConfigurationRecorderStatusCommand.js.map