import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeOrganizationConfigRulesInput } from "../types/DescribeOrganizationConfigRulesInput";
import { DescribeOrganizationConfigRulesOutput } from "../types/DescribeOrganizationConfigRulesOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/DescribeOrganizationConfigRulesInput";
export * from "../types/DescribeOrganizationConfigRulesOutput";
export * from "../types/DescribeOrganizationConfigRulesExceptionsUnion";
export declare class DescribeOrganizationConfigRulesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeOrganizationConfigRulesInput, OutputTypesUnion, DescribeOrganizationConfigRulesOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: DescribeOrganizationConfigRulesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeOrganizationConfigRulesInput, DescribeOrganizationConfigRulesOutput, Blob>;
    constructor(input: DescribeOrganizationConfigRulesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeOrganizationConfigRulesInput, DescribeOrganizationConfigRulesOutput>;
}
