import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetAggregateDiscoveredResourceCountsInput } from "../types/GetAggregateDiscoveredResourceCountsInput";
import { GetAggregateDiscoveredResourceCountsOutput } from "../types/GetAggregateDiscoveredResourceCountsOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/GetAggregateDiscoveredResourceCountsInput";
export * from "../types/GetAggregateDiscoveredResourceCountsOutput";
export * from "../types/GetAggregateDiscoveredResourceCountsExceptionsUnion";
export declare class GetAggregateDiscoveredResourceCountsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetAggregateDiscoveredResourceCountsInput, OutputTypesUnion, GetAggregateDiscoveredResourceCountsOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: GetAggregateDiscoveredResourceCountsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetAggregateDiscoveredResourceCountsInput, GetAggregateDiscoveredResourceCountsOutput, Blob>;
    constructor(input: GetAggregateDiscoveredResourceCountsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<GetAggregateDiscoveredResourceCountsInput, GetAggregateDiscoveredResourceCountsOutput>;
}
