import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDiscoveredResourceCountsInput } from "../types/GetDiscoveredResourceCountsInput";
import { GetDiscoveredResourceCountsOutput } from "../types/GetDiscoveredResourceCountsOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/GetDiscoveredResourceCountsInput";
export * from "../types/GetDiscoveredResourceCountsOutput";
export * from "../types/GetDiscoveredResourceCountsExceptionsUnion";
export declare class GetDiscoveredResourceCountsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDiscoveredResourceCountsInput, OutputTypesUnion, GetDiscoveredResourceCountsOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: GetDiscoveredResourceCountsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDiscoveredResourceCountsInput, GetDiscoveredResourceCountsOutput, Blob>;
    constructor(input: GetDiscoveredResourceCountsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<GetDiscoveredResourceCountsInput, GetDiscoveredResourceCountsOutput>;
}
