"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetOrganizationConfigRuleDetailedStatus_1 = require("../model/operations/GetOrganizationConfigRuleDetailedStatus");
var GetOrganizationConfigRuleDetailedStatusCommand = /** @class */ (function () {
    function GetOrganizationConfigRuleDetailedStatusCommand(input) {
        this.input = input;
        this.model = GetOrganizationConfigRuleDetailedStatus_1.GetOrganizationConfigRuleDetailedStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetOrganizationConfigRuleDetailedStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetOrganizationConfigRuleDetailedStatusCommand;
}());
exports.GetOrganizationConfigRuleDetailedStatusCommand = GetOrganizationConfigRuleDetailedStatusCommand;
//# sourceMappingURL=GetOrganizationConfigRuleDetailedStatusCommand.js.map