import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetResourceConfigHistoryInput } from "../types/GetResourceConfigHistoryInput";
import { GetResourceConfigHistoryOutput } from "../types/GetResourceConfigHistoryOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/GetResourceConfigHistoryInput";
export * from "../types/GetResourceConfigHistoryOutput";
export * from "../types/GetResourceConfigHistoryExceptionsUnion";
export declare class GetResourceConfigHistoryCommand implements __aws_sdk_types.Command<InputTypesUnion, GetResourceConfigHistoryInput, OutputTypesUnion, GetResourceConfigHistoryOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: GetResourceConfigHistoryInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetResourceConfigHistoryInput, GetResourceConfigHistoryOutput, Blob>;
    constructor(input: GetResourceConfigHistoryInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<GetResourceConfigHistoryInput, GetResourceConfigHistoryOutput>;
}
