import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutEvaluationsInput } from "../types/PutEvaluationsInput";
import { PutEvaluationsOutput } from "../types/PutEvaluationsOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/PutEvaluationsInput";
export * from "../types/PutEvaluationsOutput";
export * from "../types/PutEvaluationsExceptionsUnion";
export declare class PutEvaluationsCommand implements __aws_sdk_types.Command<InputTypesUnion, PutEvaluationsInput, OutputTypesUnion, PutEvaluationsOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: PutEvaluationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutEvaluationsInput, PutEvaluationsOutput, Blob>;
    constructor(input: PutEvaluationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<PutEvaluationsInput, PutEvaluationsOutput>;
}
