import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutRemediationConfigurationsInput } from "../types/PutRemediationConfigurationsInput";
import { PutRemediationConfigurationsOutput } from "../types/PutRemediationConfigurationsOutput";
import { ConfigServiceResolvedConfiguration } from "../ConfigServiceConfiguration";
export * from "../types/PutRemediationConfigurationsInput";
export * from "../types/PutRemediationConfigurationsOutput";
export * from "../types/PutRemediationConfigurationsExceptionsUnion";
export declare class PutRemediationConfigurationsCommand implements __aws_sdk_types.Command<InputTypesUnion, PutRemediationConfigurationsInput, OutputTypesUnion, PutRemediationConfigurationsOutput, ConfigServiceResolvedConfiguration, Blob> {
    readonly input: PutRemediationConfigurationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutRemediationConfigurationsInput, PutRemediationConfigurationsOutput, Blob>;
    constructor(input: PutRemediationConfigurationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ConfigServiceResolvedConfiguration): __aws_sdk_types.Handler<PutRemediationConfigurationsInput, PutRemediationConfigurationsOutput>;
}
