"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteDeliveryChannelInput_1 = require("../shapes/DeleteDeliveryChannelInput");
var DeleteDeliveryChannelOutput_1 = require("../shapes/DeleteDeliveryChannelOutput");
var NoSuchDeliveryChannelException_1 = require("../shapes/NoSuchDeliveryChannelException");
var LastDeliveryChannelDeleteFailedException_1 = require("../shapes/LastDeliveryChannelDeleteFailedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDeliveryChannel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDeliveryChannel",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDeliveryChannelInput_1.DeleteDeliveryChannelInput
    },
    output: {
        shape: DeleteDeliveryChannelOutput_1.DeleteDeliveryChannelOutput
    },
    errors: [
        {
            shape: NoSuchDeliveryChannelException_1.NoSuchDeliveryChannelException
        },
        {
            shape: LastDeliveryChannelDeleteFailedException_1.LastDeliveryChannelDeleteFailedException
        }
    ]
};
//# sourceMappingURL=DeleteDeliveryChannel.js.map