"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._AggregatedSourceStatus = {
    type: "structure",
    required: [],
    members: {
        SourceId: {
            shape: {
                type: "string"
            }
        },
        SourceType: {
            shape: {
                type: "string"
            }
        },
        AwsRegion: {
            shape: {
                type: "string",
                min: 1
            }
        },
        LastUpdateStatus: {
            shape: {
                type: "string"
            }
        },
        LastUpdateTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastErrorCode: {
            shape: {
                type: "string"
            }
        },
        LastErrorMessage: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_AggregatedSourceStatus.js.map