"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ResourceTypesScope_1 = require("./_ResourceTypesScope");
exports._OrganizationManagedRuleMetadata = {
    type: "structure",
    required: ["RuleIdentifier"],
    members: {
        Description: {
            shape: {
                type: "string"
            }
        },
        RuleIdentifier: {
            shape: {
                type: "string",
                min: 1
            }
        },
        InputParameters: {
            shape: {
                type: "string",
                min: 1
            }
        },
        MaximumExecutionFrequency: {
            shape: {
                type: "string"
            }
        },
        ResourceTypesScope: {
            shape: _ResourceTypesScope_1._ResourceTypesScope
        },
        ResourceIdScope: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TagKeyScope: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TagValueScope: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_OrganizationManagedRuleMetadata.js.map